Canto(1)

NAME
Canto - An ncurses RSS reader

DESCRIPTION
Canto is an RSS reader built to be flexible and highly customizable on top of python.

GETTING STARTED
Canto is the client, separate from the fetcher Canto-fetch. In order to update you must invoke canto-fetch on a regular basis. Usually the way to do that is to add a line into your crontab like this: * * * * * canto-fetch If you're not a fan of cron, then you can add `canto-fetch -b` to your startup scripts to have canto-fetch run as a daemon on its own. After you have your configuration file generated, just run `canto` and it will update for you, if canto-fetch hasn't been run already.

COMMAND LINE USAGE

-h/--help
    Simple help

-v/--version
    Print version

-u/--update
    Update feeds before launching client.

-l/--list
    List all configured feeds

-a/--checkall
    Print number of new items.

-n/--checknew [feed]
    Print number of new items in feed.

-o/--opml
    Print feeds to stdout as OPML file.

-i/--import [path]
    Import feeds from OPML file to your configuration.

-r/--url [URL]
    Add feed at URL to your configuration.

-t/--tag [tag]
    Set tag for feed added with -r

-D/--dir [path]
    Set the configuration directory (default: ~/.canto/)

-C/--conf [path]
    Set the configuration file (default: ~/.canto/conf)

-L/--log [path]
    Set the log file (default: ~/.canto/log)

-F/--fdir [path]
    Set the feed directory (default: ~/.canto/feeds)

-S /--sdir [PATH]
    Set the path to execurl scripts (default ~/.canto/scripts/)

INTERNAL USAGE
Within the program you can use the following (default) keys. These can be changed in your configuration file by using the "key" configuration option.

UP / DOWN or k / j
    Select previous or next item. (next_item) (prev_item)

PGUP / PGDOWN or o / l
    Goto previous or next tag. (next_tag) (prev_tag)

RIGHT / LEFT
    Set item unread or read (just_unread) (just_read)

[ / ]
    Cycle through defined filters (prev_filter) (next_filter)

{ / }
    Cycle through defined tag filters (prev_feed_filter) (next_feed_filter)

- / =
    Cycle through defined tag sorts (prev_tag_sort) (next_tag_sort)

< / >
    Cycle through defined tag sets (prev_tagset) (next_tagset)

:   Goto a specific tag (order of the config) (goto_tag)

;   Goto a specific visible tag (goto_reltag)

TAB Switch focus between list and reader (only useful with dedicated reader space)
        (switch)

h   Display this man page. (help)

Space
    Read a story (reader)

g   Use the defined browser to goto the item's URL (goto)

C / V
    Collapse/Uncollapse all tags (set_collapse_all) (unset_collapse_all)

c   Collapse/Uncollapse current tag (toggle_collapse_tag)

f   Inline search (inline_search)

m   Toggle item marked/unmark (toggle_mark)

M   Unmark all items (all_unmarked)

n / p
    Goto next/previous marked item (next_mark) (prev_mark)

, / .
    Goto next/previous unread item (next_unread) (prev_unread)

r / u
    Mark tag read/unread (tag_read) (tag_unread)

R / U
    Mark all read/unread (all_read) (all_unread)

Ctrl+R
    Refresh feeds (force_update)

Ctrl+L
    Redraw screen (refresh)

q   Quit Canto (quit)

READER USAGE
Inside the reader, there are a number of different keys. These can be changed with the "reader_key" configuration option.

UP / DOWN or k / j
    Scroll up/down if content off screen (scroll_up) (scroll_down)

n / p
    goto next/previous item without closing reader

l   Enumerate links (toggle_show_links)

g   Choose a link to goto (goto)

CONFIGURATION
The ~/.canto/conf.py file is where all of the configuration is. You can start by reading http://codezen.org/canto/config . If you're updating from <= 0.6.x then you should read http://codezen.org/canto/config/#upgrading-from-06x .

FILES

~/.canto/conf.py
    Main configuration file. ~/.canto/conf (without the extension) is also checked for compatibility.

~/.canto/log
    Everyday log file.

~/.canto/fetchlog
    Canto-fetch log file.

~/.canto/feeds/
    This is the directory where the stories are recorded.

BUGS
I'm sure there are some. If you run into a bug (a crash or bad behavior), then send please report it. Any of the methods described in http://codezen.org/canto/contact are acceptable. Also, please include your configuration and log files with the report.

HOMEPAGE
http://codezen.org/canto

AUTHOR
Jack Miller <jack@codezen.org>